Modify

Opened 14 months ago

Closed 13 months ago

Last modified 13 months ago

#21044 closed defect (fixed)

(geojson) JOSM ignores tags and removes nodes that are not duplicates

Reported by: machyna@… Owned by: Don-vip
Priority: normal Milestone: 21.07
Component: Core geojson Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Load .geojson file containing nodes with identical coordinates, but different tags

What is the expected result?

All nodes should be loaded into JOSM.

What happens instead?

Only the last node will be loaded and the first is automatically removed.

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-06-02 22:03:39 +0200 (Wed, 02 Jun 2021)
Revision:17919
Build-Date:2021-06-02 20:11:30
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (17919 en) Mac OS X 10.16
OS Build number: macOS 11.4 (20F71)
Memory Usage: 2717 MB / 6144 MB (957 MB allocated, but free)
Java version: 11.0.11+9-LTS-194, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.formdev.flatlaf.FlatDarkLaf
Screen: Display 69733632 1440×900 (scaling 2.00×2.00)
Maximum Screen Size: 1440×900
Best cursor sizes: 16×16→16×16, 32×32→32×32
Environment variable LANG: en_US.UTF-8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_US
Numbers with default locale: 1234567890 -> 1234567890
Dataset consistency test: No problems found

Plugins:
+ BuildingGeneralization (36)
+ FastDraw (35640)
+ MakeParallel (v1.1.0)
+ MicrosoftStreetside (35248)
+ PicLayer (1.0.1)
+ PolygonCutOut (v0.7)
+ ShapeTools (1240)
+ SimplifyArea (35640)
+ alignways (35753)
+ apache-commons (35524)
+ apache-http (35589)
+ buildings_tools (35756)
+ changeset-viewer (25)
+ conflation (0.6.6)
+ contourmerge (v0.1.8)
+ editgpx (35562)
+ ejml (35458)
+ flatlaf (35734)
+ geotools (35458)
+ javafx-osx (35655)
+ jaxb (35543)
+ jna (35662)
+ jts (35458)
+ log4j (35458)
+ markseen (14)
+ merge-overlap (35640)
+ opendata (35640)
+ poly (35640)
+ reverter (35732)
+ shrinkwrap (v1.0.4)
+ splinex (35718)
+ terracer (35640)
+ todo (30306)
+ undelete (35640)
+ utilsplugin2 (35691)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Freemap&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Golf_Course&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/hiking_routes_with_trail_marking&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/SentieriItaliani&zip=1

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/LessObtrusiveNodes&style&zip=1
- https://github.com/simon04/coloured-addresses.mapcss/raw/master/dist/coloured-addresses.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features_ryg&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_features&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/SlovakiaBicycleRoutes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://github.com/TelenavMapping/Community_MapRoulette/blob/master/maxspeed.mapcss
+ ${HOME}/Documents/Results/Scripts/JOSM_style/AreaHighway.mapcss
- ${HOME}/Documents/Results/Scripts/JOSM_style/AddressNoNumber.mapcss

Last errors/warnings:
- 236569.858 E: Error header: The changeset 106928625 was closed at 2021-06-25 02:10:28 UTC
- 237688.866 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=400, Error Header=<You requested too many nodes (limit is 50000). Either request a smaller area, or use planet.osm>
- 237688.873 E: Bad Request - <html>The OSM server 'api.openstreetmap.org' reported a bad request.<br><br>The area you tried to download is too big or your request was too large.<br>Either request a smaller area or use an export file provided by the OSM community.</html>
- 237933.891 W: JCS - Silent failure during download: http://tile.openstreetmap.org/18/77741/97975.png
- 241249.214 E: Error header: Precondition failed: Node 1095717198 is still used by ways 647583319,647583321.
- 241249.865 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=412, Error Header=<Precondition failed: Node 1095717198 is still used by ways 647583319,647583321.>
- 241249.873 E: Object still in use - <html><strong>Failed</strong> to delete <strong>node 1095717198</strong>. It is still referred to by ways [647583319, 647583321].<br>Please load the ways, remove the reference to the node, and upload again.<br><br>Click <strong>Prepare conflict resolution</strong> to load them now.<br>If necessary JOSM will create conflicts which you can resolve in the Conflict Resolution Dialog.</html>
- 241418.744 E: Error header: Precondition failed: Node 3603049148 is still used by ways 354621827.
- 241419.048 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=412, Error Header=<Precondition failed: Node 3603049148 is still used by ways 354621827.>
- 241419.053 E: Object still in use - <html><strong>Failed</strong> to delete <strong>node 3603049148</strong>. It is still referred to by way 354621827.<br>Please load the way, remove the reference to the node, and upload again.<br><br>Click <strong>Prepare conflict resolution</strong> to load them now.<br>If necessary JOSM will create conflicts which you can resolve in the Conflict Resolution Dialog.</html>

Attachments (1)

test.geojson (793 bytes) - added by machyna@… 14 months ago.

Download all attachments as: .zip

Change History (8)

Changed 14 months ago by machyna@…

Attachment: test.geojson added

comment:1 Changed 13 months ago by Don-vip

Resolution: wontfix
Status: newclosed

This is on purpose, see #19041

comment:2 Changed 13 months ago by skyper

But the tags of all nodes should be used if they are merged. Probably even the tag conflict dialog needs to be used in cases of conflicting values.

comment:3 Changed 13 months ago by Don-vip

Resolution: wontfix
Status: closedreopened

comment:4 Changed 13 months ago by Don-vip

Milestone: 21.07
Owner: changed from team to Don-vip
Status: reopenednew

comment:5 Changed 13 months ago by machyna@…

@Don-vip: #19041 makes sense if the nodes don't have any tags, but once they are tagged the merge should not happen or JOSM should attempt to keep all tags on the merged node.
My case is that I am trying to load address points, but if they have the same coordinates (or are very close together) JOSM silently removes all points and their data keeping only the last one.

comment:6 Changed 13 months ago by Don-vip

Resolution: fixed
Status: newclosed

In 18007/josm:

fix #21044 - keep all tags when merging geojson nodes at the same location

comment:7 Changed 13 months ago by machyna@…

Thanks for the fix!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.